# $Revision: 1.32 $, $Date: 2004/05/07 00:59:46 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Convert
%define	pnam	EBCDIC
Summary:	Convert::EBCDIC - Perl module for string conversion between EBCDIC and ASCII
Summary(pl):	Convert::EBCDIC - modu Perla do konwersji tekstw pomidzy EBCDIC i ASCII
Name:		perl-Convert-EBCDIC
Version:	0.06
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	931cffde61b7040b2cd42002387d320d
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::EBCDIC module provides two functions ascii2ebcdic and
ebcdic2ascii for converting a string from/to ASCII to/from EBCDIC.

%description -l pl
Modu Convert::EBCDIC udostpnia dwie funkcje, ascii2ebcdic i
ebcdic2ascii, do konwertowania acuchw tekstowych z ASCII do EBCDIC
i z EBCDIC do ASCII.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO tools
%{perl_vendorlib}/Convert/EBCDIC.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Convert-EBCDIC.spec,v $
Revision 1.32  2004/05/07 00:59:46  ankry
- rel. 10

Revision 1.31  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/25 15:21:12  ankry
- tests added

Revision 1.29  2004/04/18 22:06:13  ankry
- summary, description and license fixes

Revision 1.28  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:28:28  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/11/26 00:13:54  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.19  2002/07/10 08:46:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/02/25 10:30:12  depesz
cleanup; revision++

Revision 1.16  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/13 14:10:31  depesz
automatic: Source location unfied, Relase Up

Revision 1.14  2002/02/10 15:24:42  depesz
adapterized

Revision 1.13  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:06:41  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2000/12/30 01:28:39  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/31 15:51:38  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
